HPE EVA Storage

Brocade firmware trouble

 
SOLVED
Go to solution
JorisK
Regular Advisor

Brocade firmware trouble

Hi,

I want to upgrade the firmware on my Brocade 4/12 switches to version 5.3.0d using telnet and the following happens:

Cannot upgrade directly to 5.3. Please upgrade to 5.1 or 5.2 first and then upgr
ade to 5.3.
Firmwaredownload failed. (0x29) The pre-install script failed.

The problem is: We're running 5.05c and the next one listed on the HP Downloads site is firmware 5.3.0d.

Where can i get these older firmware files?
11 REPLIES 11
Víctor Cespón
Honored Contributor

Re: Brocade firmware trouble

JorisK
Regular Advisor

Re: Brocade firmware trouble

I tried this one, but the upgrade fails saying 'Cannot Access package list'.

When looking at my FTP activity i see the switch opening a directory called SWBD43, this directory does not exist.

(I have a model 43, and i used 'v5.1.0/release.plist' as the filename)
JorisK
Regular Advisor

Re: Brocade firmware trouble

Maybe 5.2 would contain the firmware for model 43 switches. Anyone here with a link?
Víctor Cespón
Honored Contributor
Solution

Re: Brocade firmware trouble

Ah, yes, it's true, the 4/12 is the one for blades... That one is different. You need to use the 5.2.1b.

Fabric OS 5.2.1b supports the merge of the Fabric OS 5.0.x code stream with the Fabric OS 5.2.x code stream. This adds support for the following embedded switches:

â ¢ Brocade 4Gb SAN Switch for HP p-Class BladeSystem (Brocade 4012)
â ¢ Brocade 4Gb SAN Switch for HP c-Class BladeSystem (Brocade 4024)


The only public FTP I know containing this is:

ftp://ftp.software.ibm.com/eserver/xseries/Aug07/v5.2.1b.zip
JorisK
Regular Advisor

Re: Brocade firmware trouble

Yes, this version seems to work. Why did HP removed the firmware from their site?

Another question: i disabled the switch before upgrade. After upgrading to version 5.2.x i noticed a line saying 'no zoning configuration in effect'. Once i re-enable the switch, will it retrieve the zoneing information from the other switch? (this switch has a lower DomainID).

Thanks for your help, much appriciated.
JorisK
Regular Advisor

Re: Brocade firmware trouble

Ah, the zoning info seems right... but now i run in another upgrade problem: version 6.0!

I try to upgrade to the latest firmware, so now i need to upgrade frmo 5.3.0d to 6.x.x. I tried the lowest-possible-version-6 on the HP site (which is 6.1.0f) but the switch reports it needs 6.0.x first! This one is not availible aswell!

Anyone?
Víctor Cespón
Honored Contributor

Re: Brocade firmware trouble

Yes, versions 6.0.x have been removed too from the public site.

They are available inside HP, so ask them to upload a copy to some place you can get it.
JorisK
Regular Advisor

Re: Brocade firmware trouble

Well i received an FTP link for the upgrade. The funny thing is they added an PDF note stating everybody who is running 5.3.0d should upgrade to 6.0x as soon as possible!

Still, the guy on the phone wasn't able to tell me why it is not listed in the availible downloads...
Uwe Zessin
Honored Contributor

Re: Brocade firmware trouble

left hand / right hand syndrome ...
.